osl::PtypeTraits< GOLD > Struct Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Public Attributes | List of all members
osl::PtypeTraits< GOLD > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions
static const char * | name ()
static const char * | csaName ()

## Static Public Attributes
static const bool | isBasic =true
static const bool | canPromote =false
static const bool | betterToPromote =false
static const Ptype | moveType =GOLD
static const int | indexMin =26
static const int | indexLimit =30
static const int | dropBlackFromY =1
static const int | dropBlackToY =9
static const Ptype | basicType =GOLD
static const int | moveMask

## Detailed Description

### template<>
struct osl::PtypeTraits< GOLD >

Definition at line 41 of file ptypeTraits.h.

## Member Function Documentation

static const char* osl::PtypeTraits< GOLD >::csaName | ( | ) |  |
| inlinestatic

Definition at line 48 of file ptypeTraits.h.

static const char* osl::PtypeTraits< GOLD >::name | ( | ) |  |
| inlinestatic

Definition at line 47 of file ptypeTraits.h.

## Member Data Documentation

const Ptype osl::PtypeTraits< GOLD >::basicType =GOLD
| static

Definition at line 53 of file ptypeTraits.h.

const bool osl::PtypeTraits< GOLD >::betterToPromote =false
| static

Definition at line 45 of file ptypeTraits.h.

const bool osl::PtypeTraits< GOLD >::canPromote =false
| static

Definition at line 44 of file ptypeTraits.h.

const int osl::PtypeTraits< GOLD >::dropBlackFromY =1
| static

Definition at line 51 of file ptypeTraits.h.

const int osl::PtypeTraits< GOLD >::dropBlackToY =9
| static

Definition at line 52 of file ptypeTraits.h.

const int osl::PtypeTraits< GOLD >::indexLimit =30
| static

Definition at line 50 of file ptypeTraits.h.

const int osl::PtypeTraits< GOLD >::indexMin =26
| static

Definition at line 49 of file ptypeTraits.h.

const bool osl::PtypeTraits< GOLD >::isBasic =true
| static

Definition at line 43 of file ptypeTraits.h.

const int osl::PtypeTraits< GOLD >::moveMask
| static

Initial value:
=
DirectionTraits<UL>::mask|DirectionTraits<U>::mask
|DirectionTraits<UR>::mask|DirectionTraits<L>::mask
|DirectionTraits<R>::mask|DirectionTraits<D>::mask

Definition at line 54 of file ptypeTraits.h.

const Ptype osl::PtypeTraits< GOLD >::moveType =GOLD
| static

Definition at line 46 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h